/metric-alerts (POST)
POST
/metric-alerts
const url = 'https://example.com/api/v1/metric-alerts';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"scope":"server","targetId":"example","metric":"cpu","thresholdPct":1,"windowSeconds":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/metric-alerts \ --header 'Content-Type: application/json' \ --data '{ "scope": "server", "targetId": "example", "metric": "cpu", "thresholdPct": 1, "windowSeconds": 1 }'Request Body required
Section titled “Request Body required ”Responses
Section titled “ Responses ”Default Response
Media type application/json
object
id
required
string
targetId
required
string
metric
required
string
thresholdPct
required
number
windowSeconds
required
integer
enabled
required
boolean
createdAt
required
string format: date-time
Example
{ "scope": "server"}Default Response
Media type application/json
object
type
required
string
title
required
string
status
required
integer
code
required
string
detail
string
instance
string
errors
Array<object>
object
path
required
string
message
required
string
Example generated
{ "type": "example", "title": "example", "status": 1, "code": "example", "detail": "example", "instance": "example", "errors": [ { "path": "example", "message": "example" } ]}